org.bdgenomics.adam.algorithms.consensus

# ConsensusGenerator

###
Related Docs: trait ConsensusGenerator | package consensus

#### object ConsensusGenerator extends Serializable

Singleton object for creating consensus generators.

Consensus generators are used in INDEL realignment to generate the consensus sequences that reads are realigned against. We have three consensus modes:

* From reads: This mode looks at the read alignments for evidence of INDELs. Any INDEL that shows up in a read alignment is extracted and used to generate a consensus sequence. * From reads with Smith-Waterman: This mode discards the original read alignments and uses Smith-Waterman to locally realign the read. If this realignment leads to a read being aligned with an insertion or deletion against the reference, we generate a consensus sequence for the INDEL. * From knowns: In this mode, we use a set of provided INDEL variants as the INDELs to generate consensus sequences for.

Additionally, we support a union operator, that takes the union of several consensus modes.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConsensusGenerator
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### def fromKnownIndels(rdd: VariantRDD, flankSize: Int = 0): ConsensusGenerator

   Provides a generator to extract consensuses from a known set of INDELs.

   Provides a generator to extract consensuses from a known set of INDELs.

   rdd

     The previously called INDEL variants.

   flankSize

     The number of bases to flank each known INDEL by. Default is 0 bases.

   returns

     A consensus generator that looks at previously called INDELs.

10. #### def fromReads(): ConsensusGenerator

    Provides a generator to extract consensuses from aligned reads.

    Provides a generator to extract consensuses from aligned reads.

    returns

      A consensus generator that looks directly at aligned reads. Here, consensus sequences are extracted by substituting INDELs that are present in a single aligned read back into the reference sequence where they are aligned.

11. #### def fromReadsWithSmithWaterman(wMatch: Double, wMismatch: Double, wInsert: Double, wDelete: Double): ConsensusGenerator

    Provides a generator to extract consensuses by realigning reads.

    Provides a generator to extract consensuses by realigning reads.

    wMatch

      Match weight to use for Smith-Waterman.

    wMismatch

      Mismatch penalty to use for Smith-Waterman.

    wInsert

      Insert penalty to use for Smith-Waterman.

    wDelete

      Deletion penalty to use for Smith-Waterman.

    returns

      A consensus generator that uses Smith-Waterman to realign reads to the reference sequence they overlap. INDELs that are present after this realignment stage are then used as targets for a second realignment phase.

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### def union(generators: ConsensusGenerator*): ConsensusGenerator

    Provides a generator to extract consensuses using several methods.

    Provides a generator to extract consensuses using several methods.

    returns

      A consensus generator that generates consensuses with several methods.

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped